Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Class ExportImportIOFactoryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.io.ExportImportIOFactoryImpl

All Implemented Interfaces:
  ExportImportIOFactory

    public class ExportImportIOFactoryImpl

extends java.lang.Object
implements ExportImportIOFactory

Version:
  $Id: ExportImportIOFactoryImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ExportImportIOFactoryImpl()`

Method Summary
`ImportInput` | `createInput(Parameters parameters)`
`ExportOutput` | `createOutput(Parameters parameters)`
`java.util.List` | `getInputFactories()`
`java.util.List` | `getOutputFactories()`
`void` | `setInputFactories(java.util.List inputFactories)`
`void` | `setOutputFactories(java.util.List outputFactories)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportImportIOFactoryImpl

    public ExportImportIOFactoryImpl()

Method Detail

### createInput

    public ImportInput createInput(Parameters parameters)

  Specified by:
    `createInput` in interface `ExportImportIOFactory`

### createOutput

    public ExportOutput createOutput(Parameters parameters)

  Specified by:
    `createOutput` in interface `ExportImportIOFactory`

### getOutputFactories

    public java.util.List getOutputFactories()

### setOutputFactories

    public void setOutputFactories(java.util.List outputFactories)

### getInputFactories

    public java.util.List getInputFactories()

### setInputFactories

    public void setInputFactories(java.util.List inputFactories)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.